curl https://production.methodfi.com/report_schedules \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportSchedules = await method.reportSchedules.list();
report_schedules = method.report_schedules.list()
{
"data": [
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
]
}
Report Schedules
List all Report Schedules
GET
/
report_schedules
curl https://production.methodfi.com/report_schedules \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportSchedules = await method.reportSchedules.list();
report_schedules = method.report_schedules.list()
{
"data": [
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
]
}
Returns all the active Report Schedules associated with your team,
or an empty array if none have been created.
Path Parameters
Returns
Returns a list of Report Schedule objects.curl https://production.methodfi.com/report_schedules \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportSchedules = await method.reportSchedules.list();
report_schedules = method.report_schedules.list()
{
"data": [
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
]
}
⌘I